# Command: Transpose

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Transpose - Transposes the first two levels of its argument

Synopsis:

      array Transpose -> array

Examples:

      [ [3 4 5] [6 7 8] ] Transpose  -> [[3 6] [4 7] [5 8]]

Description:

      Transpose gives the usual transpose of a matrix.
      Acting on a tensor Tijkl... Transpose gives the tensor Tjikl...

Parameters:

Bugs:

      protected for non-rectangular shapes by assert().
      Transpose should raise
      /NonRectangularShapeError error
      and message
      "The first two levels of the one-dimensional list cannot be transposed."

Author:

    Markus Diesmann, July 9, 2000

FirstVersion:

    June, 2000
      References:   [1] The Mathematica Book V4.0 "Transpose"

SeeAlso:

- Flatten
- Partition

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/sli/sliarray.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative